:root {
  --header-search-border-size: 2px;
}

.header-search {
  position: relative;
}

.header-search__element {
  position: relative;
  height: 100%;
}

.header-search__text {
  --input-border-width: var(--header-search-border-size);
  --input-border-color: var(--color-primary);
  --input-font: var(--typography-label-large);
  padding-inline-end: 0;
}

.header-search--focused .header-search__text,
.header-search__text:focus-within {
  --input-border-color: transparent;
  position: relative;
  z-index: 110;
}

.header-search__overlay {
  display: none;
}

.header-search--focused .header-search__overlay {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background-color: var(--color-black-o-25);
  z-index: 100;
  display: block;
}

.header-search__submit {
  flex-shrink: 0;
  border: none;
  background-color: var(--color-primary);
  color: var(--color-on-primary);
  font-weight: bold;
  padding-inline: var(--spacing-lg);
  transition: all .2s ease-in-out;
  cursor: pointer;
}

.header-search--focused .header-search__submit {
  z-index: 110;
}

.header-search__results {
  position: absolute;
  margin-top: calc(var(--spacing-md) * -1);
  background-color: var(--color-surface);
  border-radius: var(--radius-md);
  box-shadow: var(--shadow-md);
  z-index: 105;
  padding: var(--spacing-md);
  padding-top: calc(var(--spacing-md) + var(--spacing-md));
  width: 100%;
}

.header-search__result {
  display: flex;
  align-items: center;
  padding: var(--spacing-xs) 0;
  font: var(--typography-body-small);
  background-color: transparent;
  transition: all .2s ease-in-out;
}

.header-search__result:not(:last-child) {
  border-bottom: 1px solid var(--color-border-light);
}

.header-search__result:hover {
  background-color: var(--color-material-grey-200);
}

.header-search__result-type {
  font: var(--typography-label-small);
  text-transform: uppercase;
  border-radius: var(--radius-md);
  background-color: var(--color-secondary-container);
  color: var(--color-on-secondary-container);
  padding: 0 var(--spacing-sm);
  line-height: 2;
  margin-right: var(--spacing-sm);
  flex-shrink: 0;
}

.header-search__result-sku {
  font: var(--typography-label-small);
  text-transform: uppercase;
  border-radius: var(--radius-md);
  background-color: var(--color-primary-container);
  color: var(--color-on-primary-container);
  padding: 0 var(--spacing-sm);
  line-height: 2;
  margin-right: var(--spacing-sm);
  display: flex;
  flex-shrink: 0;
  margin-top: var(--spacing-xxs);
}

.header-search__result-sku span {
  font-weight: bold;
}

.header-search__result-chips {
  display: flex;
  flex-direction: column;
  flex-shrink: 0;
}
